Go Down

Topic: Version 1.4.0 (Read 1 time) previous topic - next topic

dkshark

I received my Nano IOT a couple weeks ago and haven't been able to use WIFI. I started debugging by looking at the firmware version using the example sketch in the WIFI Nina library.  This was the output:

WiFiNINA firmware check.

Firmware version installed: 1.3.0
Latest firmware version available : 1.4.0

Check result: NOT PASSED
 - The firmware version on the module do not match the
   version required by the library, you may experience
   issues or failures.

I used the WIFI NINA firmware updater but the latest firmware version it could find for the Nano IOT was 1.3.0. Has anyone updated a Nano IOT to 1.4.0? What version of the WIFI NINA library was necessary? My WIFI NINA library is version 1.6.0.

Thank you very much!



Klaus_K

#1
Jul 18, 2020, 06:38 am Last Edit: Jul 18, 2020, 06:43 am by Klaus_K
I had a look around and here is what I found.

The firmware seems to be in a folder of the Arduino IDE

C:\Program Files (x86)\Arduino\tools\WiFi101\tool\firmwares\NINA\1.3.0

while the library gets installed into your project folder. So, I guess the firmware is part of the IDE install.

I also found the following file on GitHub

https://github.com/arduino/nina-fw/blob/master/CHANGELOG

This was changed 5 days ago while IDE was released before that. Maybe the firmware will be included in the next IDE update. You could build it yourself from the source if you feel like it. There is a description on GitHub (looks like a bit of work).

Here are the changes from the file above.

Quote
Arduino NINA-W102 firmware 1.4.0 - 2020.07.13

* Adding API which allows to utilize the nina file system as an external storage module for the host CPU (#32)
* Fixing bug leading to packet corruption in situation of high UDP traffic (#49)
* Fixing bug leading to missing packets and connection drop (#50)

dkshark

Thank you very much! I think I will wait for the IDE update and work on other parts of my project.  Do you have any idea when the update will be released?

Thanks again!

Klaus_K

Do you have any idea when the update will be released?
No, but have a look at the following document. There are releases on a regular basis from less than a month to a few months.
If you go up one level on GitHub you can see they have started working on the new version 1.8.14.
Also, in the document you can find a hint about the NINA firmware being included in the IDE install. See release 1.8.10.

https://github.com/arduino/Arduino/releases

jdc762

If you go on to Arduino downloads and download the nightly builds, you will find the 1.4.0 firmware in the /arduino/tools/Wifi101/tool/firmware/NINA folder.
Copy this to your current version of Arduino.
Remember the library for Nina has to be 1.6.0 to support the firmware version of 1.4.0

gkuyat


paulisinger

I pulled 1.4 from the nightly build and put it into the arduino folder on my PC beside the other firmware versions. But the IDE does not show it as an option in the firmware updater - it only present 1.3 and 1.2.4 as options.

How do I get 1.4 to become a selectable option.

Oh my WIFInina library is at 1.7 if that helps.


ocrdu

I closed the IDE, downloaded the last build of the IDE here, extracted the directory (with its contents) arduino-nightly/tools/WiFi101 from the zip file, and copied that over the existing C:\Program Files\Arduino\tools\WiFi101. Things worked after restarting the IDE.

paulisinger

Thanks - that worked. I did the wifi101 folder and not just the nested firmwares folder.

Maybe that *.jar file had to be updated as well?

pinkycut25

#9
Sep 10, 2020, 11:32 pm Last Edit: Sep 10, 2020, 11:43 pm by pinkycut25
I had the same problem with Arduino MKR WiFi 1010. I updated the "WiFi101 FirmWare Plugin" only (yes, it's .jar file). It comes with the latest firmware (v.1.4.1 to date). You can get it from here:
https://github.com/arduino/WiFi101-FirmwareUpdater-Plugin
You don't have to update the entire IDE, as long as it's at least ver.1.6.10 (all in the instructions at the link)

bastlermark

I tried it as well like the user "ocrdu" has done and it worked!

THANK YOU!!!

And everything startet with the message:

ArduinoIoTCloudTCP::handle_ConnectMqttBroker could not connect to mqtts-sa.iot.arduino.cc:8883

Would anyone assume, that the firmware is wrong?

I changed:

setDebugMessageLevel(4) instead of setDebugMessageLevel(1)

and received in the serial window:

Current WiFi Firmware: 1.2.3
ArduinoIoTCloudTCP::begin In order to be ready for cloud OTA, NINA firmware needs to be >= 1.4.1, current 1.2.3

Then I knew, I had the wrong firmware!


Go Up